phpLDAPadmin

# Class: Import

Source Location: /templates/3rdParty/pla/lib/import_functions.php

### Class Overview

Import Class

#### Author(s):

### Variables

- $input
- $server_id
- $source

### Methods

- __construct
- accept
- getSource
- LDAPimport

### Child classes:

ImportLDIF
  Import entries from LDIF

### Class Details

[line 71]
Import Class

This abstract classes provides all the common methods and variables for the custom import classes.

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $input = null

[line 73]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $server_id = null

[line 72]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $source = array()

[line 74]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 76]

`Import __construct( $server_id)`

#### Tags:

access: | public

#### Parameters:

| $server_id |

[ Top ]

### method accept [line 80]

`void accept( )`

#### Tags:

access: | public

[ Top ]

### method getSource [line 102]

`void getSource( $attr)`

#### Tags:

access: | public

#### Parameters:

| $attr |

[ Top ]

### method LDAPimport [line 110]

`void LDAPimport( )`

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:52 +0100 by phpDocumentor 1.4.1